> For the complete documentation index, see [llms.txt](https://docs.paragontruss.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paragontruss.com/api/concepts/api-overview.md).

# API Overview

The Paragon API contains two categories of API routes, Design and Production. The Design API routes contain the operations that are used to create layouts and design trusses. The Production API routes contain the operations that are used in shop software.

## Design API

The [Design API](/api/design-api-overview.md) contains the following categories of operations:

* [Projects](https://designserver.paragontruss.com/api-docs/#tag/projects)
* [Layouts](https://designserver.paragontruss.com/api-docs/#tag/layouts)
* [Trusses](https://designserver.paragontruss.com/api-docs/#tag/trusses)
* [AnalysisSets](https://designserver.paragontruss.com/api-docs/#tag/analysissets)
* [UsageData](https://designserver.paragontruss.com/api-docs/#tag/usagedata/GET/api/public/UsageData/TrussDesigns)

## Production API

The Production API is not currently documented, please [contact us](https://www.paragontruss.com/about#contactus) if you are interested in using our Production API.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.paragontruss.com/api/concepts/api-overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
